## NAME

CURLOPT_FTPSSLAUTH - set order in which to attempt TLS vs SSL when using FTP

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_FTPSSLAUTH, long order);

## DESCRIPTION

Pass a long using one of the values from below, to alter how libcurl issues "AUTH TLS" or "AUTH SSL" when FTP over SSL is activated. This is only interesting if CURLOPT_USE_SSL is also set.

Possible order values:

CURLFTPAUTH_DEFAULT

Allow libcurl to decide.

CURLFTPAUTH_SSL

Try "AUTH SSL" first, and only if that fails try "AUTH TLS".

CURLFTPAUTH_TLS

Try "AUTH TLS" first, and only if that fails try "AUTH SSL".

## DEFAULT

CURLFTPAUTH_DEFAULT

## PROTOCOLS

FTP

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.12.2

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_USE_SSL, CURLOPT_FTP_SSL_CCC

This HTML page was made with roffit.